__gnu_cxx::throw_allocator_limit< _Tp > Struct Template Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::throw_allocator_limit< _Tp >:
[legend]

## Public Types

typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef std::ptrdiff_t | difference_type
typedef value_type * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef value_type & | reference
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| throw_allocator_limit (const throw_allocator_limit &) noexcept
template<typename _Tp1>
| throw_allocator_limit (const throw_allocator_limit< _Tp1 > &) noexcept
pointer | address (reference __x) const noexcept
pointer | allocate (size_type __n, const void *hint=0)
void | check (size_type __n)
map_alloc_type::iterator | check_allocated (void *p, size_t size)
void | check_allocated (pointer __p, size_type __n)
void | check_constructed (size_t label)
map_construct_type::iterator | check_constructed (void *p)
void | construct (_Up *__p, _Args &&... __args)
void | deallocate (pointer __p, size_type __n)
void | destroy (_Up *__p)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)
size_type | max_size () const noexcept
throw_allocator_limit & | operator= (const throw_allocator_limit &)=default

## Static Public Member Functions

static void | check ()
static size_t & | count ()
static size_t | get_label ()
static size_t & | limit ()
static void | set_label (size_t l)
static void | set_limit (const size_t __l)
static void | throw_conditionally ()

## Detailed Description

template<typename _Tp>
struct __gnu_cxx::throw_allocator_limit< _Tp >

Allocator throwing via limit condition.

Definition at line 924 of file throw_allocator.h.

## Member Typedef Documentation

## const_pointer

typedef const value_type* __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::const_pointer

inherited

Definition at line 819 of file throw_allocator.h.

## const_reference

typedef const value_type& __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::const_reference

inherited

Definition at line 821 of file throw_allocator.h.

## difference_type

typedef std::ptrdiff_t __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::difference_type

inherited

Definition at line 816 of file throw_allocator.h.

## pointer

typedef value_type* __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::pointer

inherited

Definition at line 818 of file throw_allocator.h.

## propagate_on_container_move_assignment

typedef std::true_type __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::propagate_on_container_move_assignment

inherited

Definition at line 826 of file throw_allocator.h.

## reference

typedef value_type& __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::reference

inherited

Definition at line 820 of file throw_allocator.h.

## size_type

typedef std::size_t __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::size_type

inherited

Definition at line 815 of file throw_allocator.h.

## value_type

typedef _Tp __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::value_type

inherited

Definition at line 817 of file throw_allocator.h.

## Constructor & Destructor Documentation

## throw_allocator_limit() [1/3]

template<typename _Tp>

__gnu_cxx::throw_allocator_limit< _Tp >::throw_allocator_limit | ( |  | ) |

inline noexcept

Definition at line 931 of file throw_allocator.h.

## throw_allocator_limit() [2/3]

template<typename _Tp>

__gnu_cxx::throw_allocator_limit< _Tp >::throw_allocator_limit | ( | const throw_allocator_limit< _Tp > & |  | ) |

inline noexcept

Definition at line 933 of file throw_allocator.h.

## throw_allocator_limit() [3/3]

template<typename _Tp>
template<typename _Tp1>

__gnu_cxx::throw_allocator_limit< _Tp >::throw_allocator_limit | ( | const throw_allocator_limit< _Tp1 > & |  | ) |

inline noexcept

Definition at line 937 of file throw_allocator.h.

## ~throw_allocator_limit()

template<typename _Tp>

__gnu_cxx::throw_allocator_limit< _Tp >::~throw_allocator_limit | ( |  | ) |

inline noexcept

Definition at line 940 of file throw_allocator.h.

## Member Function Documentation

## address()

pointer __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::address | ( | reference | __x | ) | const

inline noexcept inherited

Definition at line 844 of file throw_allocator.h.

## allocate()

pointer __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::allocate | ( | size_type | __n,
|  | const void * | hint = 0 )

inline nodiscard inherited

Definition at line 852 of file throw_allocator.h.

## check() [1/2]

void __gnu_cxx::annotate_base::check | ( |  | ) |

inline static inherited

Definition at line 235 of file throw_allocator.h.

## check() [2/2]

void __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::check | ( | size_type | __n | ) |

inline inherited

Definition at line 904 of file throw_allocator.h.

## check_allocated() [1/2]

map_alloc_type::iterator __gnu_cxx::annotate_base::check_allocated | ( | void * | p,
|  | size_t | size )

inline inherited

Definition at line 173 of file throw_allocator.h.

## check_allocated() [2/2]

void __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::check_allocated | ( | pointer | __p,
|  | size_type | __n )

inline inherited

Definition at line 897 of file throw_allocator.h.

## check_constructed() [1/2]

void __gnu_cxx::annotate_base::check_constructed | ( | size_t | label | ) |

inline inherited

Definition at line 285 of file throw_allocator.h.

## check_constructed() [2/2]

map_construct_type::iterator __gnu_cxx::annotate_base::check_constructed | ( | void * | p | ) |

inline inherited

Definition at line 270 of file throw_allocator.h.

## construct()

void __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::construct | ( | _Up * | __p,
|  | _Args &&... | __args )

inline inherited

Definition at line 866 of file throw_allocator.h.

## count()

size_t & __gnu_cxx::limit_condition::count | ( |  | ) |

inline static inherited

Definition at line 474 of file throw_allocator.h.

## deallocate()

void __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::deallocate | ( | pointer | __p,
|  | size_type | __n )

inline inherited

Definition at line 890 of file throw_allocator.h.

## destroy()

void __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::destroy | ( | _Up * | __p | ) |

inline inherited

Definition at line 874 of file throw_allocator.h.

## erase()

void __gnu_cxx::annotate_base::erase | ( | void * | p,
|  | size_t | size )

inline inherited

Definition at line 143 of file throw_allocator.h.

## erase_construct()

void __gnu_cxx::annotate_base::erase_construct | ( | void * | p | ) |

inline inherited

Definition at line 167 of file throw_allocator.h.

## get_label()

size_t __gnu_cxx::annotate_base::get_label | ( |  | ) |

inline static inherited

Definition at line 117 of file throw_allocator.h.

## insert()

void __gnu_cxx::annotate_base::insert | ( | void * | p,
|  | size_t | size )

inline inherited

Definition at line 121 of file throw_allocator.h.

## insert_construct()

void __gnu_cxx::annotate_base::insert_construct | ( | void * | p | ) |

inline inherited

Definition at line 148 of file throw_allocator.h.

## limit()

size_t & __gnu_cxx::limit_condition::limit | ( |  | ) |

inline static inherited

Definition at line 481 of file throw_allocator.h.

## max_size()

size_type __gnu_cxx::throw_allocator_base< _Tp, limit_condition >::max_size | ( |  | ) | const

inline noexcept inherited

Definition at line 840 of file throw_allocator.h.

## set_label()

void __gnu_cxx::annotate_base::set_label | ( | size_t | l | ) |

inline static inherited

Definition at line 113 of file throw_allocator.h.

## set_limit()

void __gnu_cxx::limit_condition::set_limit | ( | const size_t | __l | ) |

inline static inherited

Definition at line 489 of file throw_allocator.h.

## throw_conditionally()

void __gnu_cxx::limit_condition::throw_conditionally | ( |  | ) |

inline static inherited

Definition at line 466 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h